ADDDEBUG(1)

NAME
adddebug - modifies the Makefile to add debug info

SYNOPSIS
adddebug [ -k ] [ -r ]

DESCRIPTION
This manual page documents briefly the adddebug command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

adddebug modifies ./Makefile to add debug info (-g). It will also remove optimisations (-O[1-9]?).

This utility is part of the KDE Software Development Kit.

OPTIONS

-k  Do not remove optimisations.

-r  Recursively search through all subdirectories of the current directory and operate on every Makefile that is found.

AUTHOR
This manual page was written by Ben Burton <benb@acm.org> for the Debian GNU/Linux system (but may be used by others).